Last Comment Bug 475815 - provide a migration plan to move old data into the right partitions.
: provide a migration plan to move old data into the right partitions.
Status: RESOLVED WONTFIX
:
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: other
: All Other
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: socorro
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 14:22 PST by K Lars Lohn [:lars] [:klohn]
Modified: 2011-12-28 10:40 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description K Lars Lohn [:lars] [:klohn] 2009-01-28 14:22:41 PST
We're all wound up and ready to proceed to production.  As we've discussed, we're scheduled to begin on Thursday, January 28 at 7PM PST.

Steps (should be about the same as when we pushed to staging)

1 - stop the Web App and replace with the "we're temporarily down" message - aking has details

2 - stop processors and monitor

3 - get latest version of Socorro from trunk.  This includes the migration scripts and new versions of monitor and processor

4 - set up config/setupdatabase.py.dist.  This is exactly the same as it was in
Bug 468465

5 - run .../scripts/migrate.py – lars would really like to have a way to watch this process run live either through sharing with 'screen' or 'vnc' or something.  It's also important to make sure that logging writes to a permanent transcript.

6 - restart processors

7 - restart monitor

8 - restore the Web App
Comment 1 Austin King [:ozten] 2009-01-28 14:28:32 PST
site down message, we can 
Skip Step 1

After Step 3 - get latest Socorro will get you a new outage.php file

cp webapp-phpdocs/outage.php webapp-php/index.php

Step 8 - restore the Web App

svn revert webapp-php/index.php

Details:
https://intranet.mozilla.org/SocorroOutagePage
Comment 2 matthew zeier [:mrz] 2009-01-28 14:56:01 PST
Holding on to this so I don't forget to include in downtime notice.
Comment 3 Michael Morgan [:morgamic] 2009-09-24 09:27:28 PDT
Data's there, we're not sure if we'll need to reimport it but wontfix for now.  Just don't delete it please.

Note You need to log in before you can comment on or make changes to this bug.